Create Withdrawal Request
curl --request POST \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/members/withdrawal-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bank_code": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"amount": 123,
"currency": "<string>"
}
'import requests
url = "https://ge-exchange-staging-1.herokuapp.com/v1/api/members/withdrawal-request"
payload = {
"bank_code": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"amount": 123,
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bank_code: '<string>',
bank_name: '<string>',
account_number: '<string>',
account_name: '<string>',
amount: 123,
currency: '<string>'
})
};
fetch('https://ge-exchange-staging-1.herokuapp.com/v1/api/members/withdrawal-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Loan repayment withdrawal request created successfully"
}
Members
Create Withdrawal Request
Creates a withdrawal request.
POST
/
api
/
members
/
withdrawal-request
Create Withdrawal Request
The bank code
The name of the bank
The account number for the withdrawal
The account holder’s name
The withdrawal amount
The currency for the withdrawal. Supported currencies include:
- NGN
- USD
- KES
{
"status": "success",
"message": "Loan repayment withdrawal request created successfully"
}
Was this page helpful?
⌘I
